org.apache.storm.eventhubs.spout

## Class StringEventDataScheme

- java.lang.Object
- - org.apache.storm.eventhubs.spout.StringEventDataScheme

- All Implemented Interfaces:
    Serializable, IEventDataScheme

      public class StringEventDataScheme
      extends Object
      implements IEventDataScheme

  An Event Data Scheme which deserializes message payload into the Strings. No encoding is assumed. The receiver will need to handle parsing of the string data in appropriate encoding.

  Note: Unlike other schemes provided, this scheme does not include any metadata.

  For metadata please refer to `BinaryEventDataScheme`, `EventDataScheme`

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringEventDataScheme()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `deserialize(com.microsoft.azure.eventhubs.EventData eventData)` Deserialize an AMQP Message into a Tuple.
    `Fields` | `getOutputFields()` Retrieve the Fields that are present on tuples created by this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringEventDataScheme

          public StringEventDataScheme()

  - ### Method Detail

    - #### deserialize

          public List<Object> deserialize(com.microsoft.azure.eventhubs.EventData eventData)

      Description copied from interface: `IEventDataScheme`

      Deserialize an AMQP Message into a Tuple.

      Specified by:
        `deserialize` in interface `IEventDataScheme`
      Parameters:
        `eventData` - The EventData to Deserialize.
      Returns:
        A tuple containing the deserialized fields of the message.
      See Also:
        `for the list of fields the tuple will contain.`

    - #### getOutputFields

          public Fields getOutputFields()

      Description copied from interface: `IEventDataScheme`

      Retrieve the Fields that are present on tuples created by this object.

      Specified by:
        `getOutputFields` in interface `IEventDataScheme`
      Returns:
        The Fields that are present on tuples created by this object.

Copyright © 2019 The Apache Software Foundation. All rights reserved.